package ink.wgink.annotation;

import java.lang.annotation.*;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: CheckEmptyAnnotation
 * @Description: 校验空
 * @Author: WangGeng
 * @Date: 2019/11/14 14:05
 * @Version: 1.0
 **/
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
public @interface CheckEmptyAnnotation {

    String name();

    String value() default "";

    String description() default "";

    String[] types() default {};

    String verifyType() default "";

    String regex() default "";

}
